## libmail-cclient-perl 1.12

=== debian/changelog ===
libmail-cclient-perl (1.12-11build2) trusty; urgency=low

  * Rebuild for Perl 5.18.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 21 Oct 2013 10:20:07 +0100

libmail-cclient-perl (1.12-11build1) precise; urgency=low

  * Rebuild for Perl 5.14.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 15 Nov 2011 20:03:15 +0000

libmail-cclient-perl (1.12-11) unstable; urgency=low

  * Add patch 1002_Don-t-use-PERL_POLLUTE-macros from Niko Tyni to fix
    FTBFS with perl 5.14 (Closes: #628517)

 -- Dominic Hargreaves <dom@earth.li>  Sat, 30 Jul 2011 15:11:15 +0100

libmail-cclient-perl (1.12-10) unstable; urgency=low

  [ Jonas Smedegaard ]
  * Depend on ${misc:Depends}.
  * Update CDBS:
    + Drop local snippets: All in main CDBS now.
    + Include perl-makemaker.mk (not deprecated perlmodule.mk).
    + Tighten build-dependency on cdbs.
    + Slightly relax build-dependency on devscripts.
  * Packaging moved to git (from Subversion):
    + Adjust Vcs-* control file fields.
    + Tidy access rights of installed example files (not source ones).
  * Use source format 3.0 (quilt):
    + Git-ignore quilt .pc dir, and add dpkg-source local-options (to
      ease building with git-buildpackage).
    + Stop including quilt CDBS snippet, and stop build-depending on
      quilt.
  * Update CDBS:
    + Add README.source (replacing README.cdbs-tweaks).
    + Simplify declaring build-dependencies.
  * Bump policy compliance to standards-version 3.9.2.
  * Add licensing header to rules file.
  * Update copyright file:
    + Rewrite using draft 174 of DEP-5 format.
    + Fix add files section for libc-client files (license: Apache-2.0).
  * Fix tighten build-dependency on debhelper.
  * Add git-buildpackage config, enabling signed tags and pristine-tar.

  [ Nathan Handler ]
  * debian/watch: Update to ignore development releases.

  [ Salvatore Bonaccorso ]
  * debian/control: Changed: Replace versioned (build-)dependency on
    perl (>= 5.6.0-{12,16}) with an unversioned dependency on perl (as
    permitted by Debian Policy 3.8.3).

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 14 Jul 2011 02:13:39 +0200

libmail-cclient-perl (1.12-9) unstable; urgency=medium

  * This release (and 1.12-9) fixes FTBFS, and thus closes: bug#487066,
    thanks to Lucas Nussbaum.
  * Bump urgency to medium due to RC bugfix.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 29 jun 2008 10:49:56 +0200

libmail-cclient-perl (1.12-8) unstable; urgency=low

  [ gregor herrmann ]
  * debian/control: Added: Vcs-Svn field (source stanza); Vcs-Browser
    field (source stanza). Removed: XS-Vcs-Svn fields (source stanza).

  [ Jonas Smedegaard ]
  * Update local cdbs tweaks:
    + Mirror debian/control Vcs-* changes in debian/control.in.
    + Strip non-printable chars from copyright-check.mk output.
    + Relax copyright-check.mk to only warn by default.  This fixes a
      potential FTBFS.
    + Update dependency cleanup to strip cdbs 0.4.27 (not 0.4.27-1).
  * Update debian/copyright-hints.
  * Bump debhelper compatibility level to 6.
  * Semi-auto-update debian/control to update build-dependencies:
      DEB_AUTO_UPDATE_DEBIAN_CONTROL=yes fakeroot debian/rules clean

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 29 jun 2008 10:47:43 +0200

libmail-cclient-perl (1.12-7) unstable; urgency=low

  * Pass over maintenance of the package to the Perl group: Change Maintainer,
    and add myself to Uploaders.

  * Update local cdbs snippets:
    + Fix wget options in update-tarball.
    + Major improvements to copyright-check, including new versioned
      build-dependency on devscripts.  Update debian/copyright_hints.
    + Update debian/README.cdbs-tweaks.
  * Semi-auto-update debian/control to apply changes contained in the above:
    DEB_AUTO_UPDATE_DEBIAN_CONTROL=yes fakeroot debian/rules clean

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 29 Mar 2008 22:44:58 +0100

libmail-cclient-perl (1.12-6) unstable; urgency=low

  * Bump debhelper compat level and build-dependency to version 5.
  * Semi-auto-update debian/control to apply changes contained in the above:
    DEB_AUTO_UPDATE_DEBIAN_CONTROL=yes fakeroot debian/rules clean

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 19 Mar 2008 02:58:35 +0100

libmail-cclient-perl (1.12-5) unstable; urgency=low

  * Add XS-Vcs-Svn and XS-Vcs-Browser fields to debian/control.
  * Move Homepage to own field (from pseudo-field in long description).
  * Bump standards-version to 3.7.3 (no changes needed).
  * Update cdbs tweaks (no canges affecting this packaging currently):
    + Support zip in upstream-tarball.mk
    + Use ~ as repackaging delimiter in upstream-tarball.mk to make room
      for point releases and cleaned up rerelease
    + Rename top srcdir in repackaged tarball to $pkg-$ver.orig to
      comply with Developers Reference 6.7.8.2.
    + Support mangling upstream version string in upstream-tarball.mk
    + Drop buildcore.mk override (set DEB_AUTO_UPDATE_DEBIAN_CONTROL
      manually when needed instead)
  * Adjust watch file to invoke svn-upgrade (not uupdate).

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 04 Jan 2008 19:14:17 +0100

libmail-cclient-perl (1.12-4) unstable; urgency=low

  * Build against up-to-date libc-client.
  * Bump standards version to 3.7.2 (no changes needed).
  * Update local cdbs tweaks:
    + Make sure buildinfo ran only once.
    + Add new upstream-tarball.mk to implement get-orig-source and more.
    + Add new copyright-check.mk to help discover changes to copyrights.
    + Add new buildcore.mk overloading upstream buildcore.mk and enables
      debian/control auto-update when DEB_BUILD_OPTIONS contains
      cdbs-autoupdate. Drop local hack using DEB_BUILD_OPTIONS=update.
    + Add README.cdbs-tweaks to source, and advertise in debian/rules.
  * Isolate segfault-fixing patch (bug#308541) using patchsys-quilt.mk.
  * Declare (and strip duplicate) dependencies in debian/rules.
  * Remove Cclient.h in clean target.
  * Mention only copyright and licensing info in debian/copyright (drop

