=== debian/control ===
Source: libmail-cclient-perl
Section: perl
Priority: optional
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Uploaders: Jonas Smedegaard <dr@jones.dk>,
 Dominic Hargreaves <dom@earth.li>
Standards-Version: 3.9.2
Vcs-Git: git://git.debian.org/git/pkg-perl/packages/libmail-cclient-perl
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-perl/packages/libmail-cclient-perl.git
Build-Depends: devscripts (>= 2.10.7~),
 cdbs (>= 0.4.73~),
 perl,
 debhelper (>= 6),
 dh-buildinfo,
 libc-client-dev,
 libpam-dev,
 libssl-dev,
 libkrb5-dev
Homepage: http://www.cpan.org/modules/by-module/Mail/HDIAS/

Package: libmail-cclient-perl
Architecture: any
Depends: ${perl:Depends}, ${shlibs:Depends}, ${misc:Depends}
Description: Interface to UW c-client library
 Mail::Cclient gives access to mailboxes in many different formats
 (including remote IMAP folders) via the c-client API. The c-client
 library is the core library used by Pine and the University of
 Washington IMAP daemon (written by Mark Crispin).
