=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-
# Copyright © 2003-2008,2011 Jonas Smedegaard <dr@jones.dk>
# Description: Main Debian packaging script for Mail::Cclient
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation; either version 2, or (at
# your option) any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

include /usr/share/cdbs/1/rules/upstream-tarball.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/class/perl-makemaker.mk
include /usr/share/cdbs/1/rules/debhelper.mk

DEB_UPSTREAM_URL = http://www.cpan.org/modules/by-module/Mail/HDIAS
DEB_UPSTREAM_PACKAGE = Mail-Cclient
DEB_UPSTREAM_TARBALL_MD5 = 36ee07558270d8feed5e1b5b77a4ee25

DEB_MAKEMAKER_USER_FLAGS := --with-shared_cclient --with-pam --with-ssl --cclient_dir=/usr/include/c-client --with-kerberos --with-cclient-includes=/usr/include/c-client

DEB_INSTALL_EXAMPLES_libmail-cclient-perl := examples/*

DEB_MAKE_CHECK_TARGET = test | tee debian/tests.txt || true
DEB_INSTALL_DOCS_ALL += debian/tests.txt

binary-fixup/libmail-cclient-perl::
	chmod a-x $(cdbs_curdestdir)/usr/share/doc/$(cdbs_curpkg)/examples/*.txt

clean::
	rm -f debian/tests.txt
	rm -f Cclient.h

# Needed by upstream build process
CDBS_BUILD_DEPENDS += , libc-client-dev, libpam-dev, libssl-dev, libkrb5-dev
