=== debian/watch ===
# Run the "uscan" command to check for upstream updates and more.
version=3

# dist-based URL doesn't have the newer versions
# http://search.cpan.org/dist/Mail-Cclient/   .*/Mail-Cclient-v?(\d[\d.]+)\.(?:tar(?:\.gz|\.bz2)?|tgz|zip)

http://www.cpan.org/modules/by-module/Mail/HDIAS/Mail-Cclient-([0-9\.]+).tar.gz
